Package org.apache.sling.rewriter

## Interface TransformerFactory

    public interface TransformerFactory

The `TransformerFactory` is a service which creates `Transformer`s on demand. The created transformers form the middle part of the rewriter pipeline. The factories itself are not chained but the resulting transformers are. On each pipeline call new instances are created. The factory is referenced using a service property named 'pipeline.type'. Each factory should have a unique value for this property. With the optional property 'pipeline.mode' set to the value 'global' the transformer is used for each and every pipeline regardless of the actual configuration for this pipeline. All available global transformers with a service ranking below zero are chained right after the generator. All available global transformers with a service ranking higher or equal to zero are chained right before the serializer. Therefore the property "service.ranking" should be used for the factory in combination with 'pipeline.mode'. To be compatible with possible future uses of the 'pipeline.mode' property, it should only be used with the value 'global'.

### Method Summary

All Methods Instance Methods Abstract Methods
`Transformer` `createTransformer()` Create a new transformer for the pipeline.

### Method Detail

#### createTransformer

    Transformer createTransformer()

Create a new transformer for the pipeline. If the factory is not able to create a transformer, it should return `null`. If the transformer is not a global transformer and is not optional, returning `null` will fail the pipeline creation.

Returns:
  A new transformer or `null`